Bug 1296090 (CVE-2015-8741) - CVE-2015-8741 wireshark: PPI dissector crash (wnpa-sec-2015-59)
Summary: CVE-2015-8741 wireshark: PPI dissector crash (wnpa-sec-2015-59)
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-8741
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-06 10:10 UTC by Martin Prpič
Modified: 2019-09-29 13:41 UTC (History)
4 users (show)

Fixed In Version: wireshark 2.0.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-06 10:27:24 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-01-06 10:10:18 UTC
It was reported that Wireshark's PPI dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This flaw is fixed in the following Wireshark versions: 2.0.1.

Upstream bug(s):

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=11876

External References:

https://www.wireshark.org/security/wnpa-sec-2015-59


Note You need to log in before you can comment on or make changes to this bug.